Ban a partner
curl --request POST \
--url https://api.dub.co/partners/ban \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partnerId": "<string>",
"tenantId": "<string>"
}
'import requests
url = "https://api.dub.co/partners/ban"
payload = {
"partnerId": "<string>",
"tenantId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({partnerId: '<string>', tenantId: '<string>'})
};
fetch('https://api.dub.co/partners/ban', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"partnerId": "<string>"
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#bad-request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#not-found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#invite-expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#unprocessable-entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#rate-limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://dub.co/docs/api-reference/errors#internal-server_error"
}
}Partners
Ban a partner
Ban a partner from your program. This will disable all links and mark all commissions as canceled.
POST
/
partners
/
ban
Ban a partner
Authorizations
Default authentication mechanism
Body
application/json
The reason for banning the partner.
Available options:
tos_violation, inappropriate_content, fake_traffic, fraud, spam, brand_abuse The ID of the partner to create a link for. Will take precedence over tenantId if provided.
The ID of the partner in your system. If both partnerId and tenantId are not provided, an error will be thrown.
Response
The banned partner
The ID of the banned partner.
Was this page helpful?